Get Permissions For App
Get permissions for an app
Get the current user’s permissions for the given app. If a user can see an app, then they can see its basic data. Only admin, read-only admins, and space developers can read sensitive data.
Request
URI
GET
https://api.example.local/v3/apps/{guid}/permissions
COPY
Path Parameters
string
guid
Required
The unique identifier for the resource
Responses
200
OK
Returns
AppPermissions
of type(s)
application/json
{
"read_basic_data": false,
"read_sensitive_data": false
}
boolean
read_basic_data
Required
Whether the user can read basic app data
boolean
read_sensitive_data
Required
Whether the user can read sensitive app data
401
Unauthorized
Returns
Unauthorized
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
403
Forbidden
Returns
Forbidden
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
404
Not Found
Returns
NotFound
of type(s)
application/json
{
"errors": [
{
"code": 0,
"detail": "string",
"title": "string"
}
]
}
array of
object
errors
Optional
errors
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/v3/apps/{guid}/permissions
Apps Operations
GET
List Apps
POST
Create App
GET
Get App
PATCH
Update App
DELETE
Delete App
POST
Start App
POST
Stop App
POST
Restart App
GET
Get Current Droplet For App
GET
Get Current Droplet Association For App
PATCH
Set Current Droplet For App
POST
Clear Buildpack Cache For Application
GET
Get Env For App
GET
Get Environment Variables For App
PATCH
Update Environment Variables For App
GET
List App Features
GET
Get App Feature
PATCH
Update App Feature
GET
Get Permissions For App
GET
Get Ssh Enabled For App